%global tar_version 4.4.10

Name: python-ovirt-engine-sdk4
Summary: Python SDK for version 4 of the oVirt Engine API
Version: 4.4.10
Release: 1%{?dist}
Group: Development/Languages
License: ASL 2.0
URL: http://ovirt.org
Source: ovirt-engine-sdk-python-%{tar_version}.tar.gz

BuildRequires: gcc
BuildRequires: libxml2-devel
Requires: libxml2

%description
This package contains the Python SDK for version 4 of the oVirt Engine
API.

%package -n python3-ovirt-engine-sdk4
Summary: oVirt Engine Software Development Kit (Python)
BuildRequires: python3-devel
Requires: libxml2
Requires: python3
Requires: python3-pycurl >= 7.43.0-6
Requires: python3-six

%description -n python3-ovirt-engine-sdk4
This package contains the Python 3 SDK for version 4 of the oVirt Engine
API.

%prep
%setup -q -n ovirt-engine-sdk-python-%{tar_version}


%build
%py3_build


%install
%py3_install


%files -n python3-ovirt-engine-sdk4
%doc README.adoc
%doc examples
%license LICENSE.txt
%{python3_sitearch}/*

%changelog
* Mon Feb 8 2021 Ori Liel <oliel@redhat.com> 4.4.10-1
- Upgrade to Model 4.4.25

* Thu Dec 17 2020 Ori Liel <oliel@redhat.com> 4.4.9-1
- Upgrade to Model 4.4.22

* Mon Dec 7 2020 Ori Liel <oliel@redhat.com> 4.4.8-1
- Upgrade to Model 4.4.21

* Mon Nov 2 2020 Ori Liel <oliel@redhat.com> 4.4.7-1
- Upgrade to Metamodel 1.3.4

* Tue Oct 20 2020 Ori Liel <oliel@redhat.com> 4.4.6-1
- Upgrade to Model 4.4.19

* Tue Oct 13 2020 Ori Liel <oliel@redhat.com> 4.4.5-1
- Upgrade to Model 4.4.19
- Upgrade to Metamodel 1.3.3
- Upgrade to Java 11
- Update build scripts and remove old ones
- Use helper classes in example scripts

* Thu Jul 2 2020 Martin Perina <mperina@redhat.com> - 4.4.4-1
- Update to model 4.4.17
- Improve examples code around image transfer features

* Thu Jun 06 2019 Sandro Bonazzola <sbonazzo@redhat.com> - 4.3.1-1
- 4.3.1
- Adhere to Fedora packaging guidelines naming schema

* Wed Jun 14 2017 Sandro Bonazzola <sbonazzo@redhat.com> - 4.2.0-1
- 4.2.0
